Update a connection
put
/v1/connections/{uuid}

This endpoint updates a connection. The fields of the first step are updated. If the integration has a second step, the fields of the second step are provided in the response and can be updated with the update a connection (step 2) endpoint.

🔐 Authentication
X-TOKEN Token generated for a UI session
Header parameter: X-TOKEN
📤 Request

uuid
string
required
uuid

The UUID of the connection that should be updated.

Example: 3598b23c-31db-4be9-9e6b-6aa1d5b60335

Content Type: application/json
fields object

Fields of the first step that should be updated. The fields are different for each integration and provided as a key-value pair, using the field id as key and the user input as value.

Example: { "path": "foo/bar/" }
Request Example
📥 Response
200 Updated
Content Type:
204 Updated, but no response content provided
401 Unauthorized Error
Content Type:
403 Forbidden
Content Type:
404 Not Found
Content Type:
422 Unprocessable Entity
Content Type:
500 Internal Server Error
Content Type:
Response Examples